Lucene search

K
amazonAmazonALAS2-2022-1867
HistoryOct 17, 2022 - 9:46 p.m.

Medium: java-11-amazon-corretto

2022-10-1721:46:00
alas.aws.amazon.com
35

5.3 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

LOW

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

6.4 Medium

AI Score

Confidence

High

0.002 Low

EPSS

Percentile

59.6%

Issue Overview:

Title: Wider MultiByte conversions
Buffer overflow is possible due to incorrect byte count (should be character
count). (CVE-2022-21618)

Title: Improve NTLM support
writeSecurityBuffer() writes a serialized security buffer to be used for NTLM
auth. One of the fields that are serialized is a hostname provided by the
name resolver. If this hostname is very long, integer truncation occurs,
which would allow a malicious hostname to be partially re-interpreted as
something else following a hostname, once the security buffer is deserialized
on the other size. (CVE-2022-21619)

Title: Improve JNDI lookups
JNDI DNS port numbers can be easily guessed and should be more random. (CVE-2022-21624)

Title: Key X509 usages
Decoding of X509 keys may use excessive amount of heap memory. (CVE-2022-21626)

Title: Better HttpServer service
HttpServer eagerly accepts connections which may exceed the limit. (CVE-2022-21628)

Title: Improve HTTP/1.1 client usage
The HTTP/2 connection cache caches connection based on the IP address but not
the SNI which can allow spoofing for servers on the same IP. (CVE-2022-39399)

Affected Packages:

java-11-amazon-corretto

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update java-11-amazon-corretto to update your system.

New Packages:

aarch64:  
    java-11-amazon-corretto-11.0.17+8-1.amzn2.aarch64  
    java-11-amazon-corretto-headless-11.0.17+8-1.amzn2.aarch64  
    java-11-amazon-corretto-javadoc-11.0.17+8-1.amzn2.aarch64  
  
src:  
    java-11-amazon-corretto-11.0.17+8-1.amzn2.src  
  
x86_64:  
    java-11-amazon-corretto-11.0.17+8-1.amzn2.x86_64  
    java-11-amazon-corretto-headless-11.0.17+8-1.amzn2.x86_64  
    java-11-amazon-corretto-javadoc-11.0.17+8-1.amzn2.x86_64  

Additional References

Red Hat: CVE-2022-21618, CVE-2022-21619, CVE-2022-21624, CVE-2022-21626, CVE-2022-21628, CVE-2022-39399

Mitre: CVE-2022-21618, CVE-2022-21619, CVE-2022-21624, CVE-2022-21626, CVE-2022-21628, CVE-2022-39399

5.3 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

LOW

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

6.4 Medium

AI Score

Confidence

High

0.002 Low

EPSS

Percentile

59.6%